Package org.jbpm.services.task.wih

## Class LocalHTWorkItemHandler

- java.lang.Object
- - org.jbpm.services.task.wih.AbstractHTWorkItemHandler
  - - org.jbpm.services.task.wih.LocalHTWorkItemHandler

- All Implemented Interfaces:
    `org.kie.api.runtime.process.WorkItemHandler`

      public class LocalHTWorkItemHandler
      extends AbstractHTWorkItemHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.wih.AbstractHTWorkItemHandler

      `action, ADMIN_USER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalHTWorkItemHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortWorkItem​(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)` |
    `protected long` | `createTaskInstance​(org.kie.internal.task.api.InternalTaskService taskService, org.kie.api.task.model.Task task, org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.KieSession session, Map<String,​Object> content)` |
    `void` | `executeWorkItem​(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)` |
    `org.kie.api.runtime.manager.RuntimeManager` | `getRuntimeManager()` |
    `void` | `setRuntimeManager​(org.kie.api.runtime.manager.RuntimeManager runtimeManager)` |

    - ### Methods inherited from class org.jbpm.services.task.wih.AbstractHTWorkItemHandler

      `createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, createTaskDataBasedOnWorkItemParams, isAutoClaim, setAction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalHTWorkItemHandler

          public LocalHTWorkItemHandler()

  - ### Method Detail

    - #### getRuntimeManager

          public org.kie.api.runtime.manager.RuntimeManager getRuntimeManager()

    - #### setRuntimeManager

          public void setRuntimeManager​(org.kie.api.runtime.manager.RuntimeManager runtimeManager)

    - #### executeWorkItem

          public void executeWorkItem​(org.kie.api.runtime.process.WorkItem workItem,
                                      org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `executeWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`
      Specified by:
        `executeWorkItem` in class `AbstractHTWorkItemHandler`

    - #### abortWorkItem

          public void abortWorkItem​(org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `abortWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`
      Specified by:
        `abortWorkItem` in class `AbstractHTWorkItemHandler`

    - #### createTaskInstance

          protected long createTaskInstance​(org.kie.internal.task.api.InternalTaskService taskService,
                                            org.kie.api.task.model.Task task,
                                            org.kie.api.runtime.process.WorkItem workItem,
                                            org.kie.api.runtime.KieSession session,
                                            Map<String,​Object> content)